Bug 1404148 - NetworkManager assertion failure
Summary: NetworkManager assertion failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-13 08:26 UTC by Marius Vollmer
Modified: 2017-08-01 09:22 UTC (History)
9 users (show)

Fixed In Version: NetworkManager-1.8.0-0.2.git20170215.1d40c5f4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:22:07 UTC


Attachments (Terms of Use)
NetworkManager core (466.30 KB, application/x-xz)
2016-12-13 08:26 UTC, Marius Vollmer
no flags Details
Journal (145.36 KB, text/plain)
2016-12-13 08:27 UTC, Marius Vollmer
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Marius Vollmer 2016-12-13 08:26:40 UTC
Created attachment 1231095 [details]
NetworkManager core

Description of problem:

NetworkManager occasionally runs into an assertion failure during the Cockpit integration tests.

    NetworkManager:ERROR:devices/nm-device.c:8954:<unknown-fcn>: assertion failed: (<dropped>)

Core and logs are attached.

Version-Release number of selected component (if applicable):
NetworkManager-1.4.0-13.el7_3.x86_64

How reproducible:
Occasionally

Steps to Reproduce:
1. Run the check-networking script of Cockpit a couple hundred times for rhel-7 and wait for the core dump...

Comment 1 Marius Vollmer 2016-12-13 08:27:25 UTC
Created attachment 1231096 [details]
Journal

Comment 2 Beniamino Galvani 2016-12-13 08:51:37 UTC
Failing assertion:

  static void
  nm_device_start_ip_check (NMDevice *self)
  {
      NMDevicePrivate *priv = NM_DEVICE_GET_PRIVATE (self);
      [...]
==>   g_assert (priv->ip4_state == IP_DONE || priv->ip6_state == IP_DONE);

The crash should be fixed by the following upstream commit:

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=aa71dbc6c42d2c4ffaf921a8e5dd9c1175f20372

Comment 4 Stef Walter 2017-01-03 19:04:42 UTC
Instances of this failure are being tracked by the Cockpit integration tests here: https://github.com/cockpit-project/cockpit/issues/5662

Comment 5 Stef Walter 2017-01-03 19:07:14 UTC
Seems like a similar issue on Fedora: https://bugzilla.redhat.com/show_bug.cgi?id=1409896

Comment 7 Vladimir Benes 2017-03-13 15:02:48 UTC
(In reply to Stef Walter from comment #4)
> Instances of this failure are being tracked by the Cockpit integration tests
> here: https://github.com/cockpit-project/cockpit/issues/5662

Would it be possible to give me a reproducer? I would like to implement this to master tests so no regression in this area occurs for you.

Comment 9 Marius Vollmer 2017-03-13 15:35:24 UTC
(In reply to Vladimir Benes from comment #7)
>
> Would it be possible to give me a reproducer? I would like to implement this
> to master tests so no regression in this area occurs for you.

No, not easily, unfortunately.

Comment 10 Vladimir Benes 2017-03-14 10:10:31 UTC
(In reply to Marius Vollmer from comment #9)
> (In reply to Vladimir Benes from comment #7)
> >
> > Would it be possible to give me a reproducer? I would like to implement this
> > to master tests so no regression in this area occurs for you.
> 
> No, not easily, unfortunately.

Actually starting `dnsmasq --interface eth1` and then upping ipv4.method shared connection on the eth1 device reproduces it. Two test cases added to prevent such crashes in the future.

Comment 11 errata-xmlrpc 2017-08-01 09:22:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.